using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dedict_t
	{
		public bool free;

		public int dummy1;

		public int dummy2;

		public int num_leafs;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 16)]
		public short[] leafnums;

		public entity_state_t baseline;

		public float freetime;

		public entvars_t v;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dedict_t));
	}
}
